<form (ngSubmit)="onSubmit()">
  <div class="input-group">
    <div class="custom-file">
      <input type="file" class="custom-file-input" id="inputGroupFile04"  (change)="onFileChange($event)" multiple>
      <label class="custom-file-label" for="inputGroupFile04"></label>
    </div>
    <div class="input-group-append">
        <button class="btn btn-success" type="submit" [disabled]="!translations">Read Files</button>
    </div>
  </div>
  <div *ngIf="invalidInput" class="alert alert-danger" role="alert">
    <p>Please provide only
      <strong>Json</strong> files!</p>
  </div>
</form>

<ul class="list-group">
  <li class="list-group-item list-group-item-success" *ngFor="let file of fileList">{{file}}</li>
</ul>
